/*
    Replace '_file' to 'file' and change references.
    version 2
*/
var fs = require('fs');
function forEach(array, action)
{
    for(var i = 0; i < array.length; i++)	
    {
        action(array[i]);	
    }
}
/*
    Main process.
    $path must be ended by '/'. You can use './' stand for current directory, but DO NOT keep empty.
*/
(function process(path,depth)
{
    fs.readdir(path,function(err,files)
    {
        forEach(files, function(file){
            // Check the renamed file, skip it!
            try{fs.accessSync(path+file, fs.F_OK)}
            catch(err){return;}
            if(err) throw err;
            // Recursion
            fs.stat(path+file, function(err, stats){
                if(err)	throw err;
                if(stats.isDirectory())
                {
                    process(path+file+'/', ++depth);	
                }
            });
            // rename underscore files
            if(file.match(/_(images|sources|static)/))
            {
                fs.rename(path+file, path+file.slice(1));
            }
            
            // Process html file
            if(file.match(/.+?\.html/))
            {
                var content = fs.readFileSync(path+file,'utf8');	
                if(content.match(/_(static|images|sources)\//))
                {
                    var newContent = content.replace(/(_)(?=(static|images|sources)\/)/g, ""
                    );	
                    fs.writeFileSync(path+file, newContent, 'utf8');
                }
            }
        });
    });
})('./',0);
